return function()
    return {
        class = "battery",
        glyph = {
            char = "W",
            color = {255, 255, 0},
            background = {0,0,0,0}
        },
        behavior = {
            on_hit = function(self, interactor)
                if interactor.class == "player" then
                    interactor.stats.battery = math.min(interactor.stats.battery + 1, interactor.stats.maxBattery)
                    game:remove(self.parent)

                    log "You feel recharged."
                end
            end
        },
        stats = {
            name = "battery",
            flavor = "A package of triple-A batteries."
        },
        grid = {
            collides = true
        }
    }
end
