--
--
--
--
--

return function()
    return {
        -- 0 - up to black
        -- 1 - down to black
        -- 2 - black to down
        -- 3 - black to up
        state = 0,
        speed = 0.3,
        x = 0,
        y = 240,
        removeOnFinish = true,
        inPosition = false,
        queued = false,
        queue = {},
        sprite = {
            anchored = true,
            layer = "foreground",
            sprite = "assets/images/dither.png",
            origin = {
                x = 0, y = 0
            }
        },
        update = function(self, dt, speed)
            if not self.inPosition then
                if self.state == 0 then
                    self.x = 0
                    self.y = 240
                else
                    self.y = -240
                end

                self.inPosition = true
            end

			if not self.queued then
				game.context = self

				if self.state == 0 then
					tween_to {x = 0, y = -240, t = self.speed}
				elseif self.state == 1 then
					tween_to {x = 0, y = -720, t = self.speed}
				end

				removeSelf()

				self.queued = true
			end
        end
    }
end
