return function()
    return {
        class = "mushroom",
        grid = {
            collides = true
        },
        stats = {
            name = "mushroom",
            flavor = "The mushroom towers into the sky, its cap pressed against the rafters."
        },
        glyph = {
            char = "P",
            color = {125, 255, 125, 255},
            background = {0,0,0,0}
        },
        behavior = {
            on_hit = function(self, interactor)
                log "Spores billow out of the stalk."
                game:add("spores", {
                    grid = {
                        x = self.parent.grid.x,
                        y = self.parent.grid.y
                    }
                })

                if math.random(1, 5) == 1 then
                    log "The mushroom falls apart."
                    game:remove(self.parent)
                end
            end
        }
    }
end
