--
--
--
--
--

return function()
    return {
        class = "stairs",
        glyph = {
            char = ">",
            color = {125, 255, 125},
            background = {10, 255, 10}
        },
        stats = {
            name = "stairs",
            flavor = "There's a stairwell down."
        },
        behavior = {
            on_hit = function(self, interactor)
                terminal("Go downstairs...?", {
                    {
                        label = "Yes.",
                        onclick = function(self)
                            state("depth", state "depth" + 1)
                            script "generate_world"
                        end,
                    },
                    {
                        label = "No.",
                        onclick = function(self)
                            log "You don't look at those stairs."
                        end
                    }
                })
            end
        },
        grid = { collides = true }
    }
end
