for index, entity in pairs(game:getEntities()) do
    game:remove(entity)
end

game.terminal:clearAll()
game.terminal:setLayer "persistent_ui"
game.terminal:writeCenter("You lost.", 15)

game.terminal:writeCenter(f("You made it to floor %i.", state "depth"), 17)

if state "depth" > get_flag "deepest" then
    set_flag("deepest", state "depth")
    game:saveGame()
    game.terminal:writeCenter("This is the deepest you've ever made it!", 18)
else
    game.terminal:writeCenter(f("The deepest you've ever made it is floor %i.", get_flag "deepest"), 18)
end

game.terminal:writeCenter("Press Z to try again.", 23)

buttonPress "a"
code(function ()
    state("depth", 1)
    game.terminal:clear("persistent_ui")
    game.terminal:clear('structures')
    script "load_game"
end)
