game.terminal:clear()
wait(0.01)
game.terminal:setLayer "persistent_ui"

local index = 1
for str in love.filesystem.lines("assets/text/title_crawl.txt") do
    if str ~= '' or index == 1 then
        buttonPress("a")
    end
    code(function(self)
        if self.options.i % 2 == 1 then
            game.terminal:write(self.options.str, 83 - #self.options.str, 2 + (self.options.i * 2))
        else
            game.terminal:write(self.options.str, 8, 2 + (self.options.i * 2))
        end
    end, {str = str, i = index})
    index = index + 1
    wait(0.04)
end

buttonPress "a"
code(function ()
    game.terminal:writeCenter("[Press Z to begin.]", 28)
end)
buttonPress "a"
