return function()
    return {
        class = "cat",
        behavior = {
            turn = function(self)
                local move = {
                    x = math.random(1, 3) - 2,
                    y = math.random(1, 3) - 2
                }

                if not tileCollides(self.parent.grid.x + move.x, self.parent.grid.y + move.y) then
                    move_to(
                        move.x, move.y,
                        MoveType.Relative
                    )
                end

                return math.random(1, 10)
            end,
            on_hit = function(self, interactor)
                terminal "Meow!"
            end
        },
        glyph = {
            char = 'c',
            color = {255, 255, 0},
            background = {0, 0, 0, 0}
        },
        stats = {
            name = "cat",
            flavor = "It's a cat. It's found a way to live somehow..."
        },
        grid = {
            collides = true
        }
    }
end
