--
--
--
--
--

game:get("import_button").interface.calls.hit = function(self)
    import(
        function(file)
            return true
        end,
        function(file)
            return save_file(file, game:get("target").interface.state.text)
        end
    )
end

game:get("subdirectories").update = function(self, dt, speed)
    local target = game:get("target").interface.state.text
    local subdirs = {}
    local files = {}

    if love.filesystem.exists(target) and love.filesystem.isDirectory(target) then
        for index, child in pairs(love.filesystem.getDirectoryItems(target)) do
            if love.filesystem.isDirectory(target .. '/' .. child) then
                table.insert(subdirs, child)
            end
        end

        self.interface.state = "../" .. table.concat(subdirs, '/\n../') .. "/"
    end
end
